## org.apache.cassandra.thrift
Class Cassandra.Processor

    java.lang.Object
      org.apache.cassandra.thrift.Cassandra.Processor

All Implemented Interfaces:
  org.apache.thrift.TProcessor

Enclosing class:
  Cassandra

    public static class Cassandra.Processor

extends java.lang.Object
implements org.apache.thrift.TProcessor

Nested Class Summary
`protected static interface` `Cassandra.Processor.ProcessFunction`

Field Summary
`protected java.util.HashMap<java.lang.String,Cassandra.Processor.ProcessFunction>` `processMap_`

Constructor Summary
`Cassandra.Processor(Cassandra.Iface iface)`

Method Summary
`boolean` `process(org.apache.thrift.protocol.TProtocol iprot, org.apache.thrift.protocol.TProtocol oprot)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### processMap_

    protected final java.util.HashMap<java.lang.String,Cassandra.Processor.ProcessFunction> processMap_

Constructor Detail

### Cassandra.Processor

    public Cassandra.Processor(Cassandra.Iface iface)

Method Detail

### process

    public boolean process(org.apache.thrift.protocol.TProtocol iprot,
                           org.apache.thrift.protocol.TProtocol oprot)
                    throws org.apache.thrift.TException

  Specified by:
    `process` in interface `org.apache.thrift.TProcessor`
  Throws:
    `org.apache.thrift.TException`

Copyright © 2012 The Apache Software Foundation